Agora Java API Reference for Android

Public Member Functions | List of all members
agora::base::ISyncClient Class Referenceabstract
Inheritance diagram for agora::base::ISyncClient:

## Public Member Functions
virtual int32_t | registerSyncClientObserver (ISyncClientObserver *observer, void(*safeDeleter)(ISyncClientObserver *)=OPTIONAL_NULLPTR, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | unregisterSyncClientObserver (ISyncClientObserver *observer)=0
virtual int32_t | login (const char *token, const char *channelName, user_id_t userId, syncClientCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | queryDoc (const char *database, const char *coll, const char *range_start, const char *range_end, int64_t limits, bool doc_only, bool count_only, queryDocCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | logout (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | renewToken (const char *token, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | connectDatabase (const char *database, dataBaseOpCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | disconnectDatabase (const char *database, dataBaseOpCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | createCollection (const char *database, const char *collection, const char **readable, int readSize, collectionOpCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | deleteCollection (const char *database, const char *collection, collectionOpCallback callback, void *userData, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | subscribe (const char *database, const char *collection, util::AString &snapshotJson)=0
virtual int32_t | unsubscribe (const char *database, const char *collection, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | addReadable (const char *database, const char *coll, const char *readable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | removeReadable (const char *database, const char *coll, const char *readable, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | putDoc (const char *database, const char *collection, const char *docName, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | deleteDoc (const char *database, const char *collection, const char *docName, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | getDocs (const char *database, const char *collection, util::AString *docNames, uint32_t docSize)=0
virtual int32_t | putDocValue (const char *database, const char *collection, const char *docName, const char *jsonValue, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | updateDocValue (const char *database, const char *collection, const char *docName, const char *path, const char *jsonValue, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | deleteDocValue (const char *database, const char *collection, const char *docName, const char *path, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | deleteDocValues (const char *database, const char *collection, const char *docName, const char **path, uint32_t pathSize, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int32_t | getDocValue (const char *database, const char *collection, const char *docName, util::AString &jsonValue)=0
virtual int32_t | hasPath (const char *database, const char *collection, const char *docName, const char *path, bool &result)=0
virtual int32_t | keepAliveDoc (const char *database, const char *collection, const char *docName, uint32_t ttl, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual bool | isOpPermission (const char *database, const char *collection, const char *docName, OP_Privilege op)=0
virtual int32_t | shakehand (aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0